package com.shinsoft.sto.service;

import com.shinsoft.sto.model.PickRecord;
import com.baomidou.mybatisplus.extension.service.IService;

import com.shinsoft.tools.model.common.ResultJSON;


/**
 * <p>
 * 领料记录表 服务类
 * </p>
 *
 * @author system
 * @since 2025-01-13
 */
public interface PickRecordService extends IService<PickRecord> {

    ResultJSON query(int page, int rows, String params);

    ResultJSON queryByPK(String id);

    ResultJSON save(String userId, String json);

    ResultJSON remove(String userId, String id);

    ResultJSON removeBatch(String userId, String ids);


}
